using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Security;

namespace Deerchao.Db4oWebSupport.Security
{

    /// <summary>
    /// Store last activity of  a user
    /// </summary>
    public class db4oMembershipActivity
    {
        private db4oApplication _application;        	
        private db4oMembershipUser _membership;
        private DateTime _lastActivityDate;       
		private ActivityType _activityType;	

        public db4oMembershipActivity()
        {
            _lastActivityDate = DateTime.Now;
        }

		public ActivityType ActivityType
		{
			get { return _activityType; }
			set { _activityType = value; }
		}

        public DateTime LastActivityDate
        {
            get
            {
                return this._lastActivityDate;
            }
            set
            {
                this._lastActivityDate = value;
            }
        }
        

        public db4oMembershipUser Membership
        {
            get
            {
                return this._membership;
            }
            set
            {
                this._membership = value;
            }
        }
        public db4oApplication Application
        {
            get 
            { 
                return _application; 
            }
            set 
            { 
                _application = value; 
            }
        }
		

    }
}
