using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Security;

namespace Deerchao.Db4oWebSupport.Security
{
    /// <summary>
    /// Store users information
    /// </summary>
    public class db4oMembershipUser
    {
		private string _id;
		private string _userName;
        private string _password;
        private int _passwordFormat;
        private string _mobilePIN;
        private string _email;
        private string _passwordQuestion;
        private string _passwordAnswer;
        private bool _isApproved;
        private bool _isLoockedOut;
        private DateTime _createDate;        
        private DateTime _lastPasswordChangedDate;
        private DateTime  _lastLockOutDate;
        private string _comment;
        private string _passwordSalt;


        #region Constructors

        public db4oMembershipUser()
        {
        }
       
        #endregion

        #region Properties
		
		public string Id
		{
			get { return _id; }
			set { _id = value; }
		}
		
        public string UserName
        {
            get { return _userName; }
            set { _userName = value; }
        }

        public string Password
        {
            get { return _password; }
            set { _password = value; }
        }

        public int PasswordFormat
        {
            get { return _passwordFormat; }
            set { _passwordFormat = value; }
        }

        public string MobilePIN
        {
            get { return _mobilePIN; }
            set { _mobilePIN = value; }
        }

        public string Email
        {
            get { return _email; }
            set { _email = value; }
        }

        public string PasswordQuestion
        {
            get { return _passwordQuestion; }
            set { _passwordQuestion = value; }
        }

        public string PasswordAnswer
        {
            get { return _passwordAnswer; }
            set { _passwordAnswer = value; }
        }

        public bool IsApproved
        {
            get { return _isApproved; }
            set { _isApproved = value; }
        }

        public bool IsLoockedOut
        {
            get
            {
                return this._isLoockedOut;
            }
            set
            {
                this._isLoockedOut = value;
            }
        }

        public DateTime CreateDate
        {
            get { return _createDate; }
            set { _createDate = value; }
        }

      

        public DateTime LastPasswordChangedDate
        {
            get { return _lastPasswordChangedDate; }
            set { _lastPasswordChangedDate = value; }
        }

        public DateTime LastLockOutDate
        {
            get { return _lastLockOutDate; }
            set { _lastLockOutDate = value; }
        }

        public string Comment
        {
            get { return _comment; }
            set { _comment = value; }
        }

        public string PasswordSalt
        {
            get { return _passwordSalt; }
            set { _passwordSalt = value; }
        }      
        

        #endregion


    }
}
