<%@ Page Language="C#"  AutoEventWireup="true" Inherits="edit"  MasterPageFile="~/MasterPage.master" Title="Edit User" Codebehind="edit.aspx.cs" %>

<script runat="server">

    void ProcessCommand( object sender, FormViewCommandEventArgs args )
    {
        if( args.CommandName == "Cancel" )
            Response.Redirect( "userlist.aspx" );
    }

    void ProcessUpdating( object sender, ObjectDataSourceMethodEventArgs args )
    {
        MembershipUser user = Membership.GetUser(args.InputParameters["userName"].ToString());

        user.Email = args.InputParameters ["email"].ToString();
        args.InputParameters.Clear( );
        args.InputParameters.Add( "user", user );

        foreach (ListItem item in ListBox1.Items)
        {
            if (item.Selected & !Roles.IsUserInRole(Request["username"].ToString(), item.Value))
            {
                Roles.AddUserToRole(Request["username"].ToString(), item.Value);
            }
        }            
        
    }

    void UpdateUser(  object sender, ObjectDataSourceMethodEventArgs args )        
    {
        MembershipUser user = Membership.GetUser(args.InputParameters["userName"]);
        if (user != null)
        {
            args.InputParameters.Add( typeof( MembershipUser ), user );
        }
    }

    void ProcessUpdated( object sender, ObjectDataSourceStatusEventArgs args )
    {
        if ( args.Exception == null )
            Response.Redirect("userlist.aspx");
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        Membership.DeleteUser(this.Request["userName"].ToString(),true );
        Response.Redirect("userlist.aspx");
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
        <h2>Edit User</h2>
        <asp:FormView ID="FormView1" Runat="server" DefaultMode="Edit"  
        OnItemCommand="ProcessCommand" DataSourceID="source">
            <EditItemTemplate>
                <table width="100%"><tr>
                        <td style="width: 35%; height: 26px;" bgcolor="lightgrey">
                            Username:</td>
                        <td style="width: 65%; height: 26px;">
                            <asp:TextBox ID="username" Runat="server" Width="388px" ReadOnly=True  Height="22px" Text='<%# Bind("username") %>'></asp:TextBox>                            
                        </td>
                    </tr>                    
                    <tr>
                        <td bgcolor="lightgrey">
                            Email:</td>
                        <td style="width: 65%">
                            <asp:TextBox ID="email" Runat="server" Width="388px"  Height="22px" Text='<%# Bind("Email") %>'></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" colspan="2">
                            <asp:Button ID="Button2" Runat="server" Text="OK" CommandName="Update" 
                                 />
                            <asp:Button ID="Button1" Runat="server" Text="Cancel" CommandName="Cancel" 
                                 />&nbsp;&nbsp;
                        </td>
                    </tr>
                </table>
            </EditItemTemplate>            
        </asp:FormView>
        <asp:ObjectDataSource ID="source" Runat="server" OnUpdating="ProcessUpdating"
            TypeName="System.Web.Security.Membership"  SelectMethod="GetUser" OnUpdated="ProcessUpdated" OldValuesParameterFormatString="original_{0}" UpdateMethod="UpdateUser">
            <SelectParameters>
                <asp:QueryStringParameter Name="userName" QueryStringField="userName"
                    Type="Object" />
            </SelectParameters>
        </asp:ObjectDataSource>
    &nbsp;
    <asp:LinkButton ID="LinkButton1" runat="server" OnClick="LinkButton1_Click">Delete this user</asp:LinkButton>
    <br />
    <br />
    Select Roles:<br />
    <asp:ListBox ID="ListBox1" runat="server" SelectionMode="Multiple"></asp:ListBox>
  
</asp:Content>
